Bug 335511 - Storage device icon does not show in KDE panel when CD-ROM inserted
Storage device icon does not show in KDE panel when CD-ROM inserted
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-16 22:27 EDT by Muyi Taiwo
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-17 10:53:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Muyi Taiwo 2007-10-16 22:27:35 EDT
Description of problem:

After upgrading to kde-3.5.7-22, disc insertion not detected, and icon for
CD-ROM no longer shows in kicker (KDE Panel).  Icons appear when removable disks
(USB) are plugged in.  Also, CD icon appears if system is booted with disk
already in the drive.  Icon also operational under GNOME

Version-Release number of selected component (if applicable):
-- kde-3.5.7-22.fc7
-- kernel
-- HP Pavillion dv4000 notebook
-- TSSTcorp CD/DVDW TS-L532M DVD Writer

How reproducible:
-- always

Steps to Reproduce:
1. Remove CD from drive
2. Restart computer
3. Log into KDE
4. Insert CD into drive
5. Observe icon NOT SHOWN in panel
6. Leave CD inserted in drive
7. Restart computer
8. Log into KDE
9. Observe icon shown and operational in panel
10. Remove CD from drive
11. Restart computer
12. Boot into GNOME
13. Insert CD into drive
14. Observe icon shown and operational
Actual results:

-- see above

Expected results:

-- see above

Additional info:
Comment 1 Ngo Than 2007-10-17 09:24:21 EDT
strange, i cannot reproduce this issue on my machine with f7 + f7 update. It 
works for me. 

You should please check if Startup services whether Media Notifier Daemon and 
KDED Media Manager are running.

Notice: the device icon does not show up in kde panel, but on KDE desktop
Comment 2 Muyi Taiwo 2007-10-17 10:53:06 EDT
This is NOT A BUG.  It was due to a misconfiguration on the machine.

The file: /etc/hal/fdi/information/media-check-disable-DVDW_TS_L532M.fdi
contains the entry:

 <match key="info.udi"
      <merge key="storage.media_check_enabled" type="bool">false</merge>

Changing 'false' to 'true' fixed the issue.

Sorry for the wild goose chase.

Notice:  The device icon can be made to show up either on the desktop (via
"configure desktop" in the KDE dektop context menu), or on the panel (via
"configure storage media..." in the storage media applet), or both.

Note You need to log in before you can comment on or make changes to this bug.